=== modified file 'NEWS'
--- NEWS	2007-07-25 00:52:21 +0000
+++ NEWS	2007-07-25 21:29:22 +0000
@@ -83,6 +83,15 @@
     * Commit now only shows the progress in terms of directories instead of
       entries. (Ian Clatworthy)
 
+    * Fix ``KnitRepository.get_revision_graph`` to not request the graph 2
+      times. This makes ``get_revision_graph`` 2x faster. (John Arbash
+      Meinel)
+
+    * Fix ``VersionedFile.get_graph()`` to avoid using
+      ``set.difference_update(other)``, which has bad scaling when
+      ``other`` is large. This improves ``VF.get_graph([version_id])`` for
+      a 12.5k graph from 2.9s down to 200ms. (John Arbash Meinel)
+
   LIBRARY API BREAKS:
 
     * Deprecated dictionary ``bzrlib.option.SHORT_OPTIONS`` removed.

